Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Retrieve Products and Events


This section describes how to retrieve a list of the products and event types that are enabled for your organization. Use this list to know which products and events that you can subscribe to. A successful response lists the enabled products and events in the productId and eventTypes.eventName fields. You can use these same field values when you send a create a webhook subscription request.

If the list you retrieve does not contain an expected product or event type, the product might not be enabled for your organization. Contact your account manager for more information.

For a list of all the products and event types that are supported by the Webhooks REST API, see Supported Products and Event Types.

Endpoints

Send a GET request to one of these endpoints. The {organizationId} is your organization ID.

GET /notification-subscriptions/v2/products/{organizationId}

GET /notification-subscriptions/v2/products/{organizationId}

GET /notification-subscriptions/v2/products/{organizationId}

Example: Retrieving a List of Products and Events

GET /notification-subscriptions/v2/products/demomerchant_01
{}
[  {    "productId": "terminalManagement",    "eventTypes": [      {        "eventName": "terminalManagement.status.update",        "payloadEncryption": false      },      {        "eventName": "terminalManagement.assignment.update",        "payloadEncryption": false      },      {        "eventName": "terminalManagement.reAssignment.update",        "payloadEncryption": false      }    ]  }]

Last published: October 28, 2026